Skip to main content
`Ctrl`+`K`

# IERS_Auto

class astropy.utils.iers.IERS_Auto(data=None, masked=False, names=None, dtype=None, meta=None, copy=True, rows=None, copy_indices=True, units=None, descriptions=None, **kwargs)

  Bases: `IERS_A`

  Provide most-recent IERS data and automatically handle downloading of updated values as necessary.

  The returned table combines the IERS-A and IERS-B files, with the data in the IERS-B file considered to be official values and thus superseding values from the IERS-A file at the same times.

  Attributes Summary

  `iers_table` | Cached table, returned if `open` is called without arguments.

  Methods Summary

  `open`() | This reads in the bundled IERS_A table (or the version of the file in the current working directory, if present - see `IERS_A.read`).

  Attributes Documentation

  iers_table = None

    Cached table, returned if `open` is called without arguments.

  Methods Documentation

  classmethod open()

    This reads in the bundled IERS_A table (or the version of the file in the current working directory, if present - see `IERS_A.read`).

    Subsequently, if values are requested which are more recent than the range of validity of the bundled table, an updated version of the table will be downloaded if the configuration setting `astropy.utils.iers.conf.auto_download` is set to True (default) and if the available version of this file is older than `astropy.utils.iers.conf.auto_max_age` days old.

    If the configuration setting `astropy.utils.iers.conf.auto_download` is set to False then the bundled IERS-A table will always be used.

    Returns:
      `QTable` instance

        With IERS (Earth rotation) data columns